﻿using System.Linq;
using System.Windows;
using OpenQA.Selenium;

namespace UserGuide.Extensions
{
    /// <summary>
    /// Класс расширений для интерфейса <see cref="IWebElement"/>.
    /// </summary>
    public static class WebElementExtensions
    {
        /// <summary>
        /// Возвращает ограничивающий прямоугольник для элемента.
        /// </summary>
        /// <param name="element">Элемент.</param>
        /// <returns>Ограничивающий прямоугольник.</returns>
        public static Rect GetRect(this IWebElement element)
        {
            int[] dims = element
                .GetAttribute("BoundingRectangle")
                .Split(',')
                .Select(int.Parse)
                .ToArray();
            return new Rect(dims[0], dims[1], dims[2], dims[3]);
        }
    }
}
