﻿using System.Threading;
using System.Threading.Tasks;

namespace UserGuide
{
    /// <summary>
    /// Базовый абстрактный класс для всех сценариев.
    /// </summary>
    public abstract class Guide : IGuide
    {
        /// <inheritdoc/>
        public abstract string Caption { get; }

        /// <inheritdoc/>
        public abstract int Order { get; }

        /// <inheritdoc/>
        /// <remarks>
        /// По умолчанию <see cref="GuideState.Menu"/>.
        /// </remarks>
        public virtual GuideState State => GuideState.Menu;

        /// <inheritdoc/>
        public GuideProvider Provider { get; set; }

        /// <inheritdoc/>
        public abstract Task StartAsync(CancellationToken cancellationToken);
    }
}
