﻿using System;
using System.Runtime.Serialization;

namespace UserGuide
{
    /// <summary>
    /// Класс означающий, что ожидаемое действие не было выполнено пользователем.
    /// </summary>
    [Serializable]
    public class GuideDiscardException : ApplicationException
    {
        /// <summary>
        /// Создаёт пустое исключение.
        /// </summary>
        public GuideDiscardException()
        { }

        /// <summary>
        /// Создаёт исключение с заданным сообщением об ошибке.
        /// </summary>
        /// <param name="message">Сообщение об ошибке.</param>
        public GuideDiscardException(string message)
            : base(message)
        { }

        /// <summary>
        /// Создаёт исключение с заданным сообщением об ошибке и дополнительной информацией о внутреннем исключении.
        /// </summary>
        /// <param name="message">Сообщение об ошибке.</param>
        /// <param name="innerException">Внутреннее исключение.</param>
        public GuideDiscardException(string message, Exception innerException)
            : base(message, innerException)
        { }

        /// <inheritdoc />
        protected GuideDiscardException(SerializationInfo info, StreamingContext context) 
            : base(info, context) 
        { }
    }
}
