﻿using System.Threading;
using System.Threading.Tasks;
using UserGuide.Extensions;
using UserGuide.Windows;

namespace UserGuide.Guides
{
    /// <summary>
    /// Сценарий "Смена фона".
    /// </summary>
    public sealed class BackgroundChangeGuide : Guide
    {
        /// <inheritdoc/>
        public override string Caption => "Смена фона";

        /// <inheritdoc/>
        public override int Order => 1;

        /// <inheritdoc/>
        public override async Task StartAsync(CancellationToken cancellationToken)
        {
            // Здесь ничего не проверяем, т.к. не можем...
            await this.Provider.ShowTooltipAsync("С помощью пункта меню \"Фон\", расположенного в правой панели системы, смените тему и/или фоновое изображение системы.\n После выполнения действий, или, если вас устраивают текущие тема и фон, нажмите на кнопку \"Готово\" для продолжения обучения.",
                this.Provider.MainWindow,
                x => x.UseInteractionColor().Place(Placement.Center).UseButtons(StandardButtons.Done),
                cancellationToken);
        }
    }
}
