﻿using System;

namespace UserGuide
{
    /// <summary>
    /// Настройки приложения из "app.json".
    /// </summary>
    public sealed class Options
    {
        /// <summary>
        /// Полный путь, включая имя файла к Winium.Desktop.Driver.exe
        /// Может быть пустым, если подключаемся к уже запущенному драйверу.
        /// </summary>
        public string DriverPath { get; set; }

        /// <summary>
        /// Полный путь, включая имя файла к TessaClient.exe
        /// Может быть пустым, если подключаемся к уже запущенному клиенту.
        /// </summary>
        public string ClientPath { get; set; }

        /// <summary>
        /// Имя пользователя от которого запускается клиент.
        /// Может быть пустым, если клиент уже запущен.
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// Пароль пользователя.
        /// Может быть пустым, если клиент уже запущен.
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// Базовая задержка действий.
        /// </summary>
        public TimeSpan GeneralDelay { get; set; } = TimeSpan.FromSeconds(0.5);

        /// <summary>
        /// Базовая задержка отображения окна.
        /// </summary>
        public TimeSpan DialogDelay { get; set; } = TimeSpan.FromSeconds(1.0);

        /// <summary>
        /// Максимальное время ожидания выполнения действия пользователем.
        /// </summary>
        public TimeSpan MaxInteractionDelay { get; set; } = TimeSpan.FromMinutes(5.0);
    }
}
