﻿namespace UserGuide.Windows
{
    /// <summary>
    /// Настройка более точных положений для треугольников (стрелок).
    /// Применяется только если основное положение не задано как <see cref="Placement.Center"/>.
    /// </summary>
    public enum ArrowPlacement
    {
        /// <summary>
        /// Слева или сверху.
        /// </summary>
        Left = 0,

        /// <summary>
        /// Сверху или слева.
        /// </summary>
        Top = Left,

        /// <summary>
        /// По центру.
        /// </summary>
        Center = 1,

        /// <summary>
        /// Справа или снизу.
        /// </summary>
        Right = 2,

        /// <summary>
        /// Снизу или справа.
        /// </summary>
        Bottom = Right,
    }
}
