﻿namespace UserGuide.Windows
{
    /// <summary>
    /// Режимы отображения окна с подсказкой.
    /// Определяет цвет подсказки.
    /// </summary>
    public enum Mode
    {
        /// <summary>
        /// Диалог с пользователем. Требуется его действие.
        /// </summary>
        UserDialog,

        /// <summary>
        /// Информационное сообщение системы автоматизации.
        /// </summary>
        AutomationTooltip,

        /// <summary>
        /// Настраиваемый тип подсказки.
        /// Нужно указать цвет окна в <see cref="TooltipOptions.CustomColor"/>.
        /// </summary>
        Custom,
    }
}
