﻿namespace UserGuide.Windows
{
    /// <summary>
    /// Дескрипторы наиболее часто используемых кнопок.
    /// </summary>
    public static class StandardButtons
    {
        /// <summary>
        /// Код кнопки "Готово".
        /// </summary>
        public const int DoneCode = 0;

        /// <summary>
        /// Код кнопки "Да".
        /// </summary>
        public const int YesCode = 0;

        /// <summary>
        /// Код кнопки "Нет".
        /// </summary>
        public const int NoCode = 1;

        /// <summary>
        /// Дескриптор кнопки "Готово".
        /// </summary>
        public static readonly ButtonDescriptor Done = new("Готово", DoneCode);

        /// <summary>
        /// Дескриптор кнопки "Да" (<see cref="YesCode"/>).
        /// </summary>
        public static readonly ButtonDescriptor Yes =
            new ButtonDescriptor("Да", YesCode);

        /// <summary>
        /// Дескриптор кнопки "Нет" (<see cref="NoCode"/>).
        /// </summary>
        public static readonly ButtonDescriptor No =
            new ButtonDescriptor("Нет", NoCode);
    }
}
